Subject: bug#29822: tramp send "exec plink -l" to cmd in windows

From: Shuguang Sun <[email-masked]>
Date: Sat, 23 Dec 2017 16:15:01 +0800

Hi,

When I use 2017.12.09 version git emacs. Tramp works correctly: it promotes
to ask me the passwork.
When I use 2017.12.17 version (or after) git emacs, Tramp can't ask me
password and hangs at waiting for feedback from remote.

I look into the trace and debug buffer, and found that it send command
"exec plink -l". However, "exec" is not an internal nor external command in
CMD in windows, and then stopped.
The trace and debug files can be found at:
https://github.com/ShuguangSun/emacs-tramp-exec-bug-20171223

Best Regards,
Shuguang